Support » Plugin: Include » 4.0.0 Breaks the Entire Site

  • Resolved darrencooper

    (@darrencooper)


    When we attempt to update the plugin to 4.0.0, it crashes the entire site – no content is displayed, only a blank white page is loaded. Please help.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Michael Flynn

    (@mflynn)

    I’m sorry for the delay in my response.

    Was there any errors returned?
    What version of PHP are you running?
    What version of WordPress are you running?
    Can you provide a link to the error occuring?

    Plugin Author Michael Flynn

    (@mflynn)

    This behavior will result when you’re using PHP v 5.3.0 and earlier, as the include plugin requires features added in PHP 5.4.0. Reminder: the current PHP version is 7.0.18, it may be time to try out a newer version if your server will allow you to update.

    In order to continue to use both the Include plugin and php v < 5.4.0 you’ll have to roll back to Include 3.4.41 (https://downloads.wordpress.org/plugin/include.3.4.41.zip)

    I have changed the plugin to have it perform checks for the required PHP version and known php setting conflicts, and display an admin notice instead of erroring and taking down the site it’s running on.

    This should resolve the “Breaks the site” aspect of this issue, and I will be marking this issue as resolved.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘4.0.0 Breaks the Entire Site’ is closed to new replies.